@use 'sass:color';

////////////////////////////////////////////////////////////////////////////////
// Variables

// Breakpoints (boostrap 4)
// https://getbootstrap.com/docs/4.2/layout/overview/#responsive-breakpoints

// Extra small devices (portrait phones, less than 576px)
// No media query for `xs` since this is the default in Bootstrap

// Small devices (landscape phones, 576px and up)
$sm: 576px;

// Medium devices (tablets, 768px and up)
$md: 768px;

// Large devices (desktops, 992px and up)
$lg: 992px;

// Extra large devices (large desktops, 1200px and up)
$xl: 1200px;

// Main theme colors
$headingColor: crimson;
$linkColor: cornflowerblue;

// Light theme
$bgColor: white;
$textColor: color.adjust(black, $lightness: 25%, $space: hsl);
$subtextColor: color.adjust(black, $lightness: 50%, $space: hsl);
$panelColor: color.adjust(black, $lightness: 90%, $space: hsl);
$separatorColor: color.adjust(black, $lightness: 85%, $space: hsl);
$linkColorHover: color.adjust($linkColor, $lightness: -20%, $space: hsl);

// Dark theme
$darkBgColor: black;
$darkTextColor: color.adjust(white, $lightness: -15%, $space: hsl);
$darkSubtextColor: color.adjust(white, $lightness: -35%, $space: hsl);
$darkPanelColor: color.adjust(white, $lightness: -90%, $space: hsl);
$darkSeparatorColor: color.adjust(white, $lightness: -85%, $space: hsl);
$darkHeadingColor: $darkTextColor;
$darkLinkColor: color.adjust($linkColor, $lightness: -10%, $space: hsl);
$darkLinkColorHover: color.adjust($linkColor, $lightness: -20%, $space: hsl);

// Sizes
$subtextFontSize: 0.85rem;

// Misc
$spacing: 1rem;
$iconSpacing: 0.25rem;
$separatorCharacter: \2022;
$avatarWidth: 80px;
$avatarWidthLarge: 120px;
$thumbWidth: 80px;
$footerHeight: 56px;
$scrollbarWidth: 17px;

// Gallery - smaller devices (mobile first)
$galleryThumbWidth: 120px; // albums are half this size
$gallerySpacing: 0.75rem;
$galleryBorderRadius: 20px; // for albums
$galleryBorderThickness: 4px; // for the active album

// Gallery - larger devices
$galleryThumbWidthLarge: 160px;
$gallerySpacingLarge: 1rem;
$galleryBorderRadiusLarge: 30px;
$galleryBorderThicknessLarge: 5px;

// Gallery - managing
$managingBorderRadius: 16px;
$managingBorderWidth: 8px;
$managingSelectedBorderWidth: 12px;
